## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/
v1
/users
/current

Get Current User

### cURL

```bash
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/users/current \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/users/current"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant}.mindbridge.ai/api/v1/users/current', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/users/current",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/users/current"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java

```java
HttpResponse<String> response = Unirest.get("https://{tenant}.mindbridge.ai/api/v1/users/current")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/users/current")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response Example

200

```json
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "enabled": true,
  "validated": true,
  "serviceAccount": true,
  "recentLogins": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "ipAddress": "<string>"
    }
  ]
}
```

### Authorizations

Authorization

string

header

required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Response Schema

#### 200 - application/json

**id**  
string  
The unique object identifier.

**version**  
integer<int64>  
Indicates the data integrity version to ensure data consistency.

**creationDate**  
string<date-time>  
The date that the object was originally created.

**lastModifiedDate**  
string<date-time>  
The date that the object was last updated or modified.

**createdUserInfo**  
User Info · object  
read-only  
Details about the user who created the object.

**lastModifiedUserInfo**  
User Info · object  
read-only  
Details about the user who last modified or updated the object.

**firstName**  
string  
The user's first name.

**lastName**  
string  
The user's last name.

**email**  
string  
The user's email address.

**enabled**  
boolean  
Indicates whether or not the user is enabled within this tenant.

**validated**  
boolean  
Indicates whether or not the user has opened the account activation link after being created.

**serviceAccount**  
boolean  
Indicates whether or not this account is used as part of an API token.

**recentLogins**  
Login Record · object[]  
A list of the latest successful logins or token usage events by IP address.

### Note
Was this page helpful?  
Yes  No

---
